Debian Bug report logs - #401980
msync() fixes break NSLU2 (apt segfaults)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Gordon Farquharson" <gordonfarquharson@gmail.com>

Date: Thu, 7 Dec 2006 05:03:01 UTC

Severity: grave

Tags: fixed-upstream, pending, upstream

Merged with 401006, 402707

Fixed in version linux-2.6/2.6.18.dfsg.1-9

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#401980; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
New Bug report received and forwarded. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: submit@bugs.debian.org
Subject: apt-get segfaults during Debian installation
Date: Wed, 6 Dec 2006 21:45:31 -0700
Package: apt
Version: 0.6.46.3-0.2
Severity: grave

I had been posting to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=401263 but it has
become clear from the patch posted yesterday that that bug is a
separate issue to the one I am seeing with the Debian Installer. Most
of the information in this bug report was previously posted to
#401263.

apt seems to be creating corrupt package cache files
(/var/cache/dpkg/*.bin) when it is first installed during installation
of Debian with the Debian Installer on an Linksys NSLU2 (arm). Below
are the last messages recorded in /var/log/syslog before the installer
stops.

Dec  6 03:27:45 base-installer: info: Found kernels
'linux-image-ixp4xx,linux-image-2.6.17-2-ixp4xx,linux-image-2.6-ixp4xx'
Dec  6 03:27:45 base-installer: info: arch_kernel candidates:
linux-image-2.6-ixp4xx
Dec  6 03:27:45 base-installer: info: arch_kernel:
linux-image-2.6-ixp4xx (present)
Dec  6 03:27:45 base-installer: info: Using kernel 'linux-image-2.6-ixp4xx'
Dec  6 03:27:45 base-installer: info: Setting do_initrd='yes'.
Dec  6 03:27:45 base-installer: info: Setting link_in_boot='yes'.
Dec  6 03:27:46 base-installer: info: Available initramfs
generator(s): 'initramfs-tools yaird'
Dec  6 03:27:47 apt-install: Reading package lists...
Dec  6 03:27:47 apt-install:
Dec  6 03:27:47 apt-install: Building dependency tree...
Dec  6 03:27:49 base-installer: error: exiting on error
base-installer/kernel/failed-package-install

Running 'apt-get -f install' manually shows that apt-get segfaults
while building the dependency tree.

~ # chroot /target/
sh-3.1# mount -t proc none /proc
sh-3.1# apt-get -f install
Reading package lists... Done
Segmentation faulty tree... 50%

A search of existing bugs filed against apt turned up
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=81829 and all of its
reincarnations. Historically, problem has been blamed on faulty lower
level functionality (kernel, filesystem, networking, hardware), but
two different people started seeing it at around the the same time
with Installer daily builds, so I doubt that it can be hardware. This
leaves kernel, filesystem, and networking issues.

I tried disabling TCP window scaling which can cause networking
issues, but apt-get still failed during the install in the same way.
I'm not sure how to test for filesystem or kernel problems.

I then started investigating whether this problem was due to corrupt
cache files in /var/cache/apt which has been mentioned as a cause to
#81829. With the original /var/cache/apt/*.bin files created when apt
is installed, apt-get seg faults.

sh-3.1# ls -l /var/cache/apt
total 12516
drwxr-xr-x 3 root root   12288 Dec  1 07:25 archives
-rw-r--r-- 1 root root 6424232 Dec  6 04:27 pkgcache.bin
-rw-r--r-- 1 root root 6423706 Dec  6 04:27 srcpkgcache.bin
sh-3.1# gdb apt-get
GNU gdb 6.5-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "arm-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run -f install
Starting program: /usr/bin/apt-get -f install
Reading package lists... Done
Building dependency tree... 50%
Program received signal SIGSEGV, Segmentation fault.
0x4008b2dc in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1, Res=@0xbee68040) at depcache.cc:123
123     depcache.cc: No such file or directory.
       in depcache.cc
(gdb) backtrace
#0  0x4008b2dc in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1, Res=@0xbee68040) at depcache.cc:123
#1  0x40090fb0 in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1) at ../build/include/apt-pkg/depcache.h:142
#2  0x4008be58 in pkgDepCache::DependencyState (this=0x3fc60, D=@0xbee68098)
   at depcache.cc:360
#3  0x4008f74c in pkgDepCache::Update (this=0x3fc60, Prog=0xbee68350)
   at depcache.cc:431
#4  0x400902b8 in pkgDepCache::Init (this=0x3fc60, Prog=0xbee68350)
   at depcache.cc:91
#5  0x400c9284 in pkgCacheFile::Open (this=0xbee688d8, Progress=@0xbee68350,
   WithLock=true) at cachefile.cc:101
#6  0x0002e39c in CacheFile::Open (this=0xbee688d8, WithLock=true)
   at apt-get.cc:96
#7  0x0002e4e4 in CacheFile::OpenForInstall (this=0xbee688d8) at apt-get.cc:107
#8  0x00023114 in DoInstall (CmdL=@0xbee68e04) at apt-get.cc:1415
#9  0x40072e80 in CommandLine::DispatchArg (this=0xbee68e04, Map=0xbee68d94,
   NoMatch=true) at contrib/cmndline.cc:337
#10 0x00011050 in main (argc=3, argv=0xbee68e84) at apt-get.cc:2606

Removing the cache files (/var/cache/apt/*.bin) causes apt-get to
start working, and when apt-get is run, the cache file are recreated.

sh-3.1# cp -p /var/cache/apt/*.bin cache-files-broken/
sh-3.1# rm /var/cache/apt/*.bin
sh-3.1# gdb apt-get
GNU gdb 6.5-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "arm-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run -f install
Starting program: /usr/bin/apt-get -f install
Reading package lists... Done
Building dependency tree... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Program exited normally.
(gdb) quit
sh-3.1# ls -l /var/cache/apt
total 12520
drwxr-xr-x 3 root root   12288 Dec  1 07:25 archives
-rw-r--r-- 1 root root 6423756 Dec  6 05:15 pkgcache.bin
-rw-r--r-- 1 root root 6423706 Dec  6 05:15 srcpkgcache.bin

Note that the size of pkgcache.bin has changed, i.e. there is
difference in size between the original and recreated pkgcache.bin
files.

Then, just to check that it was actually the cache files that were
causing the apt-get to seg fault, I copied the original pkgcache.bin
and srcpkgcache.bin back to /var/cache/apt, and apt-get segfaults as
before.

sh-3.1# cp -p /var/cache/apt/*.bin cache-files-fixed/
sh-3.1# rm /var/cache/apt/*.bin
sh-3.1# cp -p cache-files-broken/*.bin /var/cache/apt/
sh-3.1# gdb apt-get
GNU gdb 6.5-debian
Copyright (C) 2006 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "arm-linux-gnu"...Using host libthread_db
library "/lib/libthread_db.so.1".

(gdb) run -f install
Starting program: /usr/bin/apt-get -f install
Reading package lists... Done
Building dependency tree... 50%
Program received signal SIGSEGV, Segmentation fault.
0x4008b2dc in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1, Res=@0xbef25040) at depcache.cc:123
123     depcache.cc: No such file or directory.
       in depcache.cc
(gdb) backtrace
#0  0x4008b2dc in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1, Res=@0xbef25040) at depcache.cc:123
#1  0x40090fb0 in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1) at ../build/include/apt-pkg/depcache.h:142
#2  0x4008be58 in pkgDepCache::DependencyState (this=0x3fc60, D=@0xbef25098)
   at depcache.cc:360
#3  0x4008f74c in pkgDepCache::Update (this=0x3fc60, Prog=0xbef25350)
   at depcache.cc:431
#4  0x400902b8 in pkgDepCache::Init (this=0x3fc60, Prog=0xbef25350)
   at depcache.cc:91
#5  0x400c9284 in pkgCacheFile::Open (this=0xbef258d8, Progress=@0xbef25350,
   WithLock=true) at cachefile.cc:101
#6  0x0002e39c in CacheFile::Open (this=0xbef258d8, WithLock=true)
   at apt-get.cc:96
#7  0x0002e4e4 in CacheFile::OpenForInstall (this=0xbef258d8) at apt-get.cc:107
#8  0x00023114 in DoInstall (CmdL=@0xbef25e04) at apt-get.cc:1415
#9  0x40072e80 in CommandLine::DispatchArg (this=0xbef25e04, Map=0xbef25d94,
   NoMatch=true) at contrib/cmndline.cc:337
#10 0x00011050 in main (argc=3, argv=0xbef25e84) at apt-get.cc:2606

So it is obviously the cache files that are created initially that are
causing the problem. But why does apt-get create corrupt cache files
during the installation process ? This seems to be the heart of the
problem. I have copies of both the corrupt and recreated cache files
that I can send to somebody if need be.

The only seemingly obvious problem that I have found so far that
Pkg.CurrentVer().VerStr() returns a pointer to a location that is not
addressable.

(gdb) directory
/root/apt-0.6.46.3/apt-pkg:/root/apt-0.6.46.3/apt-pkg/contrib:/root/apt-0.6.46.3/apt-pkg/deb:/root/apt-0.6.46.3/apt-inst:/root/apt-0.6.46.3/apt-inst/deb:/root/apt-0.6.46.3/cmdline
Source directories searched:
/root/apt-0.6.46.3/apt-pkg:/root/apt-0.6.46.3/apt-pkg/contrib:/root/apt-0.6.46.3/apt-pkg/deb:/root/apt-0.6.46.3/apt-inst:/root/apt-0.6.46.3/apt-inst/deb:/root/apt-0.6.46.3/cmdline:$cdir:$cwd
(gdb) run -f install
Starting program: /usr/bin/apt-get -f install
Reading package lists... Done
Building dependency tree... 50%
Program received signal SIGSEGV, Segmentation fault.
0x4008b310 in pkgDepCache::CheckDep (this=0x3fc60, Dep=
     {Dep = 0x409efa4c, Type = pkgCache::DepIterator::DepVer, Owner =
0x3ecb0}, Type=1, Res=@0xbecad040) at depcache.cc:123
123                                      Dep.TargetVer()) == true)
(gdb) list 123
118        {
119           PkgIterator Pkg = Dep.TargetPkg();
120           // Check the base package
121           if (Type == NowVersion && Pkg->CurrentVer != 0)
122              if (VS().CheckDep(Pkg.CurrentVer().VerStr(),Dep->CompareOp,
123                                      Dep.TargetVer()) == true)
124                 return true;
125
126           if (Type == InstallVersion && PkgState[Pkg->ID].InstallVer != 0)
127              if
(VS().CheckDep(PkgState[Pkg->ID].InstVerIter(*this).VerStr(),
(gdb) print Pkg.CurrentVer().VerStr()
$1 = 0xd5323001 <Address 0xd5323001 out of bounds>

Any suggestions for things to try ?

Other information:

I am using Debian GNU/Linux 4.0, kernel 2.6.18-3-ixp4xx.

There is a thread about this problem in debian-boot [1] since it
causes the installer to fail on the Linksys NSLU2.

Gordon

[1] http://lists.debian.org/debian-boot/2006/11/msg01207.html

-- 
Gordon Farquharson



Merged 401263 401980. Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#401980; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 401980@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: 401980@bugs.debian.org
Subject: apt-get segfaults during Debian installation
Date: Thu, 7 Dec 2006 06:35:56 -0700
Why has this bug been merged with #401263 ? I specifically separated
it out from #401263, because I became apparent to me that the problem
was different to the one detailed there. The patch posted to #401263
does not fix the problem I am seeing in the installer.

Gordon

-- 
Gordon Farquharson



Disconnected #401263 from all other report(s). Request was from Marc 'HE' Brockschmidt <he@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#401980; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #19 received at 401980@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: 401980@bugs.debian.org
Subject: apt-get segfaults during Debian installation
Date: Sun, 10 Dec 2006 13:06:11 -0700
Hi

I'd like to remove this bug report. It turns out that apt segfaults
with kernel version 2.6.18-6 (abi 3), but not with 2.6.18-5 (abi 2)
during installation on the Linksys NSLU2. I haven't figure out why
yet, but it appears that the problem does not lie with apt.

Gordon

-- 
Gordon Farquharson



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#401980; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #24 received at 401980@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Gordon Farquharson <gordonfarquharson@gmail.com>, 401980@bugs.debian.org
Subject: Re: Bug#401980: apt-get segfaults during Debian installation
Date: Sun, 10 Dec 2006 21:22:36 +0100
* Gordon Farquharson (gordonfarquharson@gmail.com) [061210 21:20]:
> I'd like to remove this bug report. It turns out that apt segfaults
> with kernel version 2.6.18-6 (abi 3), but not with 2.6.18-5 (abi 2)
> during installation on the Linksys NSLU2. I haven't figure out why
> yet, but it appears that the problem does not lie with apt.

Well, I think it still points to an issue that we should resolve prior
to release of etch? If so, there is nothing wrong leaving it with apt
until we know a better package to assign it to.

Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#401980; Package apt. Full text and rfc822 format available.

Acknowledgement sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #29 received at 401980@bugs.debian.org (full text, mbox):

From: "Gordon Farquharson" <gordonfarquharson@gmail.com>
To: "Andreas Barth" <aba@not.so.argh.org>
Cc: 401980@bugs.debian.org
Subject: Re: Bug#401980: apt-get segfaults during Debian installation
Date: Sun, 10 Dec 2006 13:28:43 -0700
Hi Andreas

On 12/10/06, Andreas Barth <aba@not.so.argh.org> wrote:

> Well, I think it still points to an issue that we should resolve prior
> to release of etch? If so, there is nothing wrong leaving it with apt
> until we know a better package to assign it to.

The problem should be resolved before releasing etch. However, I
thought that it would be more appropriate to file a bug against the
installer in the meantime. That way, apt could move into testing,
which I think would be useful given the bugs that have been fixed in
apt recently.

Gordon

-- 
Gordon Farquharson



Information forwarded to debian-bugs-dist@lists.debian.org, APT Development Team <deity@lists.debian.org>:
Bug#401980; Package apt. Full text and rfc822 format available.

Acknowledgement sent to Andreas Barth <aba@not.so.argh.org>:
Extra info received and forwarded to list. Copy sent to APT Development Team <deity@lists.debian.org>. Full text and rfc822 format available.

Message #34 received at 401980@bugs.debian.org (full text, mbox):

From: Andreas Barth <aba@not.so.argh.org>
To: Gordon Farquharson <gordonfarquharson@gmail.com>
Cc: 401980@bugs.debian.org
Subject: Re: Bug#401980: apt-get segfaults during Debian installation
Date: Mon, 11 Dec 2006 00:55:18 +0100
* Gordon Farquharson (gordonfarquharson@gmail.com) [061210 21:35]:
> Hi Andreas
> 
> On 12/10/06, Andreas Barth <aba@not.so.argh.org> wrote:
> 
> >Well, I think it still points to an issue that we should resolve prior
> >to release of etch? If so, there is nothing wrong leaving it with apt
> >until we know a better package to assign it to.
> 
> The problem should be resolved before releasing etch. However, I
> thought that it would be more appropriate to file a bug against the
> installer in the meantime. That way, apt could move into testing,
> which I think would be useful given the bugs that have been fixed in
> apt recently.


Apt can move to testing anyways, I made sure of that.


Cheers,
Andi
-- 
  http://home.arcor.de/andreas-barth/



Bug reassigned from package `apt' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#401980; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #43 received at 401980@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Gordon Farquharson <gordonfarquharson@gmail.com>
Cc: 401980@bugs.debian.org
Subject: Re: kernel and d-i testing
Date: Sat, 16 Dec 2006 12:14:48 +0100
Let's add this to the bug report:

* Gordon Farquharson <gordonfarquharson@gmail.com> [2006-12-16 04:00]:
> > it would still be nice if you could identify _which_ of the mm
> > patches is responsible.
> 
> 2.6.18-8 with just the first patch
> (features/mm-tracking-shared-dirty-pages.patch) applied causes the
> installer to fail.

-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#401980; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Ahmad Khayyat <akhayyat@sympatico.ca>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #48 received at 401980@bugs.debian.org (full text, mbox):

From: Ahmad Khayyat <akhayyat@sympatico.ca>
To: 401980@bugs.debian.org
Subject: apt segfaults if /var/cache/apt/*.bin are present
Date: Tue, 26 Dec 2006 22:19:19 -0500
[Message part 1 (text/plain, inline)]
I am seeing this problem on my NSLU2. I have cron-apt configured to run 
daily, and everyday I wake up to the segfault email by the cron job :(.

removing /var/cache/apt/*.bin allows me to have one pleasant encounter 
with apt, not more. So, currently I added 'rm /var/cache/apt/*.bin' to 
my daily wakeup tasks (those include brushing my teeth), which has the 
effect of me staying late in bed.

I had debian installed on this NSLU2 for a while, so I haven't suffered 
the installer problem, but I wanted to make sure that this problems is 
not an installer-only problem, although I realize it may be more serious 
for the installer.

-- System Information:
Debian Release: 4.0
 APT prefers testing
 APT policy: (500, 'testing')
Architecture: arm (armv5tel)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-3-ixp4xx
Locale: LANG=en_CA.UTF-8, LC_CTYPE=en_CA.UTF-8 (charmap=UTF-8)


[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#401980; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #53 received at 401980@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Ahmad Khayyat <akhayyat@sympatico.ca>, 401980@bugs.debian.org
Subject: Re: Bug#401980: apt segfaults if /var/cache/apt/*.bin are present
Date: Wed, 27 Dec 2006 15:06:04 +0100
* Ahmad Khayyat <akhayyat@sympatico.ca> [2006-12-26 22:19]:
> I had debian installed on this NSLU2 for a while, so I haven't
> suffered the installer problem, but I wanted to make sure that this
> problems is not an installer-only problem

Yeah, we're aware of this.
-- 
Martin Michlmayr
http://www.cyrius.com/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#401980; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to fredderic@excite.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #58 received at 401980@bugs.debian.org (full text, mbox):

From: "Freddie Unpenstein" <fredderic@excite.com>
To: akhayyat@sympatico.ca, 401980@bugs.debian.org
Subject: RE: Bug#401980: apt segfaults if /var/cache/apt/*.bin are present
Date: Wed, 27 Dec 2006 11:23:33 -0500 (EST)
On Tue 12/26, Ahmad Khayyat <akhayyat@sympatico.ca> wrote:



> removing /var/cache/apt/*.bin allows me to have one pleasant

> encounter with apt, not more. So, currently I added 'rm

> /var/cache/apt/*.bin' to my daily wakeup tasks (those include

> brushing my teeth), which has the effect of me staying late in

> bed.



I'm running Debian on a good ol' regular PC...  And experiencing the same problem.  Some days it's worse than others, haven't figured out what the cause is, though.



However, cutting back a bit on the apt repositories seemed to help, so it seems to be linked either to cache size, or some dodgy archive lists.



At any rate, I have a script that updates the package lists, and then does a dselect-upgrade in download-only mode.  I just added the rm command to the start of the script, so it kills the *.bin files, and then goes its regular nightly activities.





Fredderic

_______________________________________________
Join Excite! - http://www.excite.com
The most personalized portal on the Web!





Tags added: upstream Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 401006 401980 402707. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Martin Michlmayr <tbm@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Martin Michlmayr <tbm@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Martin Michlmayr <tbm@alioth.debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Gordon Farquharson" <gordonfarquharson@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #75 received at 401980-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 401980-close@bugs.debian.org
Subject: Bug#401980: fixed in linux-2.6 2.6.18.dfsg.1-9
Date: Wed, 24 Jan 2007 21:40:23 +0000
Source: linux-2.6
Source-Version: 2.6.18.dfsg.1-9

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.18.dfsg.1-9.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-9.diff.gz
linux-2.6_2.6.18.dfsg.1-9.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1-9.dsc
linux-2.6_2.6.18.dfsg.1.orig.tar.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.18.dfsg.1.orig.tar.gz
linux-doc-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-all_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-all_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-9_powerpc.deb
linux-headers-2.6.18-4_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.18-4_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
linux-manual-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-patch-debian-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-source-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.18_2.6.18.dfsg.1-9_all.deb
linux-support-2.6.18-4_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.18-4_2.6.18.dfsg.1-9_all.deb
linux-tree-2.6.18_2.6.18.dfsg.1-9_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.18_2.6.18.dfsg.1-9_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 401980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 24 Jan 2007 13:21:51 +0100
Source: linux-2.6
Binary: linux-image-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-parisc-smp linux-modules-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-sparc64-smp linux-image-2.6.18-4-sparc32 linux-image-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc linux-headers-2.6.18-4-all-i386 linux-image-2.6.18-4-alpha-legacy linux-headers-2.6.18-4-vserver-s390x linux-image-2.6.18-4-686 linux-headers-2.6.18-4-686-bigmem linux-headers-2.6.18-4-s3c2410 linux-headers-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc linux-manual-2.6.18 linux-headers-2.6.18-4-sb1-bcm91250a xen-linux-system-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-xen-vserver-amd64 linux-headers-2.6.18-4-all-s390 linux-image-2.6.18-4-prep linux-headers-2.6.18-4-vserver-alpha linux-headers-2.6.18-4-amd64 linux-headers-2.6.18-4-amiga linux-headers-2.6.18-4-mckinley linux-headers-2.6.18-4-parisc64-smp linux-image-2.6.18-4-mckinley linux-headers-2.6.18-4-vserver-686 linux-image-2.6.18-4-686-bigmem linux-image-2.6.18-4-s390-tape linux-headers-2.6.18-4-iop32x linux-headers-2.6.18-4 linux-headers-2.6.18-4-vserver-sparc64 linux-image-2.6.18-4-s390x linux-headers-2.6.18-4-parisc64 linux-headers-2.6.18-4-xen-vserver linux-headers-2.6.18-4-all-m68k linux-headers-2.6.18-4-all-ia64 linux-image-2.6.18-4-mac linux-headers-2.6.18-4-s390x linux-image-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-all-amd64 linux-headers-2.6.18-4-686 linux-image-2.6.18-4-powerpc64 linux-headers-2.6.18-4-mac xen-linux-system-2.6.18-4-xen-amd64 linux-image-2.6.18-4-vserver-alpha linux-image-2.6.18-4-sb1-bcm91250a linux-modules-2.6.18-4-xen-amd64 linux-image-2.6.18-4-amiga linux-image-2.6.18-4-xen-vserver-686 linux-headers-2.6.18-4-powerpc64 linux-image-2.6.18-4-powerpc linux-headers-2.6.18-4-all linux-image-2.6.18-4-r5k-cobalt linux-headers-2.6.18-4-all-powerpc linux-headers-2.6.18-4-itanium linux-image-2.6.18-4-sparc64 linux-headers-2.6.18-4-alpha-legacy linux-image-2.6.18-4-rpc linux-headers-2.6.18-4-sparc64 linux-image-2.6.18-4-alpha-generic linux-image-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc64 linux-headers-2.6.18-4-footbridge linux-headers-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-powerpc-miboot linux-headers-2.6.18-4-xen-686 linux-modules-2.6.18-4-xen-vserver-686 linux-image-2.6.18-4-s3c2410 linux-image-2.6.18-4-vserver-sparc64 linux-headers-2.6.18-4-atari linux-doc-2.6.18 linux-headers-2.6.18-4-all-alpha linux-image-2.6.18-4-vserver-s390x linux-headers-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-sb1a-bcm91480b linux-image-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-alpha-smp linux-image-2.6.18-4-parisc64-smp linux-image-2.6.18-4-r3k-kn02 linux-support-2.6.18-4 linux-source-2.6.18 linux-headers-2.6.18-4-k7 linux-headers-2.6.18-4-vserver linux-modules-2.6.18-4-xen-686 linux-headers-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-all-mipsel linux-headers-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r3k-kn02 linux-headers-2.6.18-4-all-sparc linux-headers-2.6.18-4-rpc linux-headers-2.6.18-4-r5k-cobalt xen-linux-system-2.6.18-4-xen-686 linux-headers-2.6.18-4-sparc64-smp linux-image-2.6.18-4-s390 linux-image-2.6.18-4-486 linux-headers-2.6.18-4-vserver-powerpc64 linux-image-2.6.18-4-r4k-kn04 linux-headers-2.6.18-4-r5k-ip32 linux-image-2.6.18-4-iop32x linux-headers-2.6.18-4-all-mips linux-headers-2.6.18-4-ixp4xx linux-image-2.6.18-4-parisc-smp linux-headers-2.6.18-4-s390 linux-headers-2.6.18-4-vserver-powerpc linux-image-2.6.18-4-vserver-686 linux-headers-2.6.18-4-all-hppa linux-image-2.6.18-4-parisc linux-image-2.6.18-4-vserver-amd64 linux-image-2.6.18-4-vserver-k7 linux-headers-2.6.18-4-r4k-ip22 linux-image-2.6.18-4-xen-686 linux-image-2.6.18-4-r5k-ip32 linux-headers-2.6.18-4-sparc32 linux-image-2.6.18-4-r4k-ip22 linux-patch-debian-2.6.18 linux-headers-2.6.18-4-powerpc-smp linux-headers-2.6.18-4-alpha-smp linux-tree-2.6.18 xen-linux-system-2.6.18-4-xen-vserver-amd64 linux-image-2.6.18-4-k7 linux-image-2.6.18-4-qemu linux-headers-2.6.18-4-qemu linux-headers-2.6.18-4-xen linux-headers-2.6.18-4-alpha-generic linux-headers-2.6.18-4-parisc linux-image-2.6.18-4-amd64 linux-headers-2.6.18-4-prep linux-image-2.6.18-4-itanium linux-image-2.6.18-4-xen-amd64 linux-headers-2.6.18-4-486 linux-headers-2.6.18-4-all-arm linux-image-2.6.18-4-atari
Architecture: source powerpc all
Version: 2.6.18.dfsg.1-9
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.18 - Linux kernel specific documentation for version 2.6.18
 linux-headers-2.6.18-4 - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-all - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-all-powerpc - All header files for Linux 2.6.18
 linux-headers-2.6.18-4-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc-miboot - Header files for Linux 2.6.18 on 32-bit PowerPC for miboot floppy
 linux-headers-2.6.18-4-powerpc-smp - Header files for Linux 2.6.18 on multiprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-headers-2.6.18-4-prep - Header files for Linux 2.6.18 on PReP PowerPC
 linux-headers-2.6.18-4-vserver - Common header files for Linux 2.6.18
 linux-headers-2.6.18-4-vserver-powerpc - Header files for Linux 2.6.18 on uniprocessor 32-bit PowerPC
 linux-headers-2.6.18-4-vserver-powerpc64 - Header files for Linux 2.6.18 on 64-bit PowerPC
 linux-image-2.6.18-4-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc-miboot - Linux 2.6.18 image on 32-bit PowerPC for miboot floppy
 linux-image-2.6.18-4-powerpc-smp - Linux 2.6.18 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.18-4-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-image-2.6.18-4-prep - Linux 2.6.18 image on PReP PowerPC
 linux-image-2.6.18-4-vserver-powerpc - Linux 2.6.18 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.18-4-vserver-powerpc64 - Linux 2.6.18 image on 64-bit PowerPC
 linux-manual-2.6.18 - Linux kernel API manual pages for version 2.6.18
 linux-patch-debian-2.6.18 - Debian patches to version 2.6.18 of the Linux kernel
 linux-source-2.6.18 - Linux kernel source for version 2.6.18 with Debian patches
 linux-support-2.6.18-4 - Support files for Linux 2.6.18
 linux-tree-2.6.18 - Linux kernel source tree for building Debian kernel images
Closes: 292318 334104 350482 378542 388870 390862 391867 392592 394392 394753 400524 401006 401187 401980 402253 402475 402707 402743 402787 402812 402876 403790 404216 404447 405085 405150 405196 405203 406124 406767 407671
Changes: 
 linux-2.6 (2.6.18.dfsg.1-9) unstable; urgency=low
 .
   [ Martin Michlmayr ]
   * arm/iop32x: Enable CONFIG_IP_NF_CONNTRACK_EVENTS and _NETLINK.
   * arm/ixp4xx: Enable some more I2C sensor modules.
   * arm/ixp4xx: Enable CONFIG_USB_NET_RNDIS_HOST.
   * arm/footbridge: Enable CONFIG_NATSEMI.
   * Revert mm/msync patches because they cause filesystem corruption
     (closes: #401006, #401980, #402707) ...
   * ... and add an alternative msync patch from Hugh Dickins that
     doesn't depend on the mm changes (closes: #394392).
   * mips: provide pci_get_legacy_ide_irq needed by some IDE drivers
     (see #404950).
   * arm: Implement flush_anon_page(), which is needed for FUSE
     (closes: #402876) and possibly dm-crypt/LUKS (see #403426).
   * arm: Turn off PCI burst on the Cyber2010, otherwise X11 on
     Netwinder will crash.
   * arm/iop32x: Enable CONFIG_IEEE80211_SOFTMAC and drivers based
     on it.
   * arm/ixp4xx: Upgrade to version 0.3.1 of the IXP4xx NPE Ethernet
     driver.  This version fixes stuck connections, e.g. with scp and
     NFS (closes: #404447).
   * arm/ixp4xx: Enable CONFIG_VIDEO_CPIA_USB.
   * arm/ixp4xx: Enable CONFIG_ISCSI_TCP.
   * arm/iop32x: Likewise.
 .
   [ Bastian Blank ]
   * Bump ABI to 4.
   * Update vserver patch to 2.0.2.2-rc9. (closes: #402743, #403790)
   * Update xen patch to changeset 36186 from Fedora 2.6.18 branch.
   * i386/xen: Build only the pae version. (closes: #390862)
   * hppa: Override host type when necessary.
   * Fix tg3 reset. (closes: #405085)
 .
   [ dann frazier ]
   * Fix potential fragmentation attacks in ip6_tables (CVE-2006-4572)
   * Backport a number of fixes for the cciss driver
     - Fix a bug with 1TB disks caused by converting total_size to an int
     - Claim devices that are of the HP RAID class and have a valid cciss sig
     - Make NR_CMDS a per-controller define - most can do 1024 commands, but
       the E200 family can only support 128
     - Change the SSID on the E500 as a workaround for a firmware bug
     - Disable prefetch on the P600 controller. An ASIC bug may result in
       prefetching beyond the end of physical memory
     - Increase blk_queue_max_sectors from 512 to 2048 to increase performance
     - Map out more memor for the PCI config table, required to reach offset
       0x214 to disable DMA on the P600
     - Set a default raid level on a volume that either does not support
       reading the geometry or reports an invalid geometry for whatever reason
       to avoid problems with buggy firmware
     - Revert change that replaed XFER_READ/XFER_WRITE macros with
       h->cciss_read/h->cciss_write that caused command timeouts on older
       controllers on ia32 (closes: #402787)
   * Fix mincore hang (CVE-2006-4814)
   * ia64: turn on IOC4 modules for SGI Altix systems. Thanks to Stephane Larose
     for suggesting this.
   * Add versioned build dep on findutils to make sure the system find command
     supports the -execdir action (closes: #405150)
   * Hardcode the output of the scripts under arch/ia64/scripts as executed
     in an etch environment so that we can build out of tree modules correctly
     (closes: #392592)
   * Update unusual_devs entry for ipod to fix an eject issue (closes: #406124)
   * Re-add verify_pmtmr_rate, resolving problems seen on older K6 ASUS
     boards where the ACPI PM timer runs too fast (closes: #394753)
   * Avoid condition where /proc/swaps header may not be printed
     (closes: #292318)
   * [hppa] disable XFS until it works (closes: #350482)
 .
   [ Norbert Tretkowski ]
   * libata: handle 0xff status properly. (closes: #391867)
   * alpha: enabled CONFIG_SCSI_ARCMSR. (closes: #401187)
   * removed BROKEN_ON_SMP dependency from I2C_ELEKTOR. (closes: #402253)
 .
   [ Christian T. Steigies ]
   * m68k/atari: enable keyboard, mouse and fb drivers
   * m68k/atari: fixes for ethernec and video driver by Michael Schmitz
   * m68k/atari: fixes for scsi driver by Michael Schmitz
   * m68k/mac: fixes for mace and cuda driver by Finn Thain
   * m68k/atari: fixes for ide driver by Michael Schmitz
   * m68k/atari: fixes for ide driver by Michael Schmitz
   * m68k/atari: fixes for ethernec and atakeyb driver by Michael Schmitz, build ethernec as module
   * m68k/mac: fixes for mace and adb driver by Finn Thain
 .
   [ maximilian attems ]
   * Add stable release 2.6.18.6:
     - EBTABLES: Fix wraparounds in ebt_entries verification.
     - EBTABLES: Verify that ebt_entries have zero ->distinguisher.
     - EBTABLES: Deal with the worst-case behaviour in loop checks.
     - EBTABLES: Prevent wraparounds in checks for entry components' sizes.
     - skip data conversion in compat_sys_mount when data_page is NULL
     - bonding: incorrect bonding state reported via ioctl
     - x86-64: Mark rdtsc as sync only for netburst, not for core2
       (closes: #406767)
     - dm crypt: Fix data corruption with dm-crypt over RAID5 (closes: #402812)
     - forcedeth: Disable INTx when enabling MSI in forcedeth
     - PKT_SCHED act_gact: division by zero
     - XFRM: Use output device disable_xfrm for forwarded packets
     - IPSEC: Fix inetpeer leak in ipv4 xfrm dst entries.
     - V4L: Fix broken TUNER_LG_NTSC_TAPE radio support
     - m32r: make userspace headers platform-independent
     - IrDA: Incorrect TTP header reservation
     - SUNHME: Fix for sunhme failures on x86
     - Bluetooth: Add packet size checks for CAPI messages (CVE-2006-6106)
     - softmac: remove netif_tx_disable when scanning
     - DVB: lgdt330x: fix signal / lock status detection bug
     - dm snapshot: fix freeing pending exception
     - NET_SCHED: policer: restore compatibility with old iproute binaries
     - NETFILTER: ip_tables: revision support for compat code
     - ARM: Add sys_*at syscalls
     - ieee1394: ohci1394: add PPC_PMAC platform code to driver probe
     - softirq: remove BUG_ONs which can incorrectly trigger
   * Hand-picked from stable release 2.6.16.30:
     - [PPPOE]: Advertise PPPoE MTU
   * Hand-picked from stable release 2.6.16.31:
     - [NETFILTER]: Fix ip6_tables extension header bypass bug (CVE-2006-4572)
     - fix RARP ic_servaddr breakage
   * Hand-picked from stable release 2.6.16.32:
     - drivers/telephony/ixj: fix an array overrun
     - flush D-cache in failure path
   * Hand-picked from stable release 2.6.16.33:
     - Add new PHY to sis900 supported list
     - ipmi_si_intf.c: fix "&& 0xff" typos
     - drivers/scsi/psi240i.c: fix an array overrun
   * Hand-picked from stable release 2.6.16.34:
     - [IPX]: Annotate and fix IPX checksum
     - [IGMP]: Fix IGMPV3_EXP() normalization bit shift value.
   * Hand-picked from stable release 2.6.16.35:
     - sgiioc4: Disable module unload
     - Fix a masking bug in the 6pack driver.
     - drivers/usb/input/ati_remote.c: fix cut'n'paste error
     - proper flags type of spin_lock_irqsave()
   * Hand-picked from stable release 2.6.16.37:
     - [CRYPTO] sha512: Fix sha384 block size
     - [SCSI] gdth: Fix && typos
     - Fix SUNRPC wakeup/execute race condition
   * Enable DEBUG_FS for usbmon in generic config. Don't disable it on alpha,
     amd64, hppa and ia64. (closes: 378542)
   * Backport a number of upstream fixes for the r8169 driver, needed for
     network performance (closes: 388870, 400524)
     - r8169: more alignment for the 0x8168
     - r8169: phy program update
     - r8169: more magic during initialization of the hardware
     - r8169: perform a PHY reset before any other operation at boot time
     - r8169: Fix iteration variable sign
     - r8169: remove extraneous Cmd{Tx/Rx}Enb write
   * sound: hda: detect ALC883 on MSI K9A Platinum motherboards (MS-7280)
     patch from Leonard Norrgard <leonard.norrgard@refactor.fi>
   * tulip: Add i386 specific patch to remove duplicate pci ids.
     Thanks Jurij Smakov <jurij@wooyd.org> (closes: #334104, #405203)
   * amd64, i386: Disable SK98LIN as SKGE is the modern capable driver.
     (closes: 405196)
   * Backout net-bcm43xx_netdev_watchdog.patch and push 2.6.18.2 fix.
     (closes: 402475)
 .
   [ Jurij Smakov ]
   * Add bugfix/sparc/isa-dev-no-reg.patch to make sure that
     isa_dev_get_resource() can deal with devices which do not have a 'reg'
     PROM property. Failure to handle such devices properly resulted in an
     oops during boot on Netra X1. Thanks to Richard Mortimer for debugging
     and patch. (closes: #404216)
   * Add bugfix/sparc/ehci-hub-contol-alignment.patch to prevent unaligned
     memory accesses in ehci-hub-control() by adding an alignment attribute
     to the tbuf array declaration. Thanks to David Miller for the patch.
 .
   [ Sven Luther ]
   * [powerpc] Enable CONFIG_PMAC_BACKLIGHT_LEGACY (Closes: #407671).
Files: 
 49d7b7efb8fdbd5934d540326511d039 5668 devel optional linux-2.6_2.6.18.dfsg.1-9.dsc
 6a1ab0948d6b5b453ea0fce0fcc29060 52225460 devel optional linux-2.6_2.6.18.dfsg.1.orig.tar.gz
 f9b4ce9c8858e60bff8df61320979058 1751644 devel optional linux-2.6_2.6.18.dfsg.1-9.diff.gz
 361727680d344dd0f54395ff0559c2d9 3599818 doc optional linux-doc-2.6.18_2.6.18.dfsg.1-9_all.deb
 d64023d9a6dcd48052ade816e83ac6b5 1077570 doc optional linux-manual-2.6.18_2.6.18.dfsg.1-9_all.deb
 c137d1ae26a25ed5abbc80ed7ed08a97 1381068 devel optional linux-patch-debian-2.6.18_2.6.18.dfsg.1-9_all.deb
 42bb1cfb596bd6943f7b470bad91a16a 41405074 devel optional linux-source-2.6.18_2.6.18.dfsg.1-9_all.deb
 ff81d2e0076a38e8c138ec6e6b8cdcbe 256914 devel optional linux-support-2.6.18-4_2.6.18.dfsg.1-9_all.deb
 523eedfb16eea3d54e4aadd39b5bea15 46704 devel optional linux-tree-2.6.18_2.6.18.dfsg.1-9_all.deb
 009c7593a4d7a7fdc920d03ac9f5063d 46324 devel optional linux-headers-2.6.18-4-all_2.6.18.dfsg.1-9_powerpc.deb
 c081769c0ee34f178bbcf295ae680334 46362 devel optional linux-headers-2.6.18-4-all-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 7bfef65fb41af53c65bf04b49acb2e76 3384936 devel optional linux-headers-2.6.18-4_2.6.18.dfsg.1-9_powerpc.deb
 31802301a891fa8ca04c8243ebacb513 16624056 admin optional linux-image-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 4d0567e8930f6f161aeb194bfa290c7f 244466 devel optional linux-headers-2.6.18-4-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 7ca5ded0ed70b95e7e47b72d84574714 16962266 admin optional linux-image-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
 3702c2d53014a43159727d028381e099 245074 devel optional linux-headers-2.6.18-4-powerpc-smp_2.6.18.dfsg.1-9_powerpc.deb
 7d738536a29475b610bd1ce813cf4162 15153182 admin optional linux-image-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
 5309f291ed7d7cfc4907a496fd69fe16 221424 devel optional linux-headers-2.6.18-4-powerpc-miboot_2.6.18.dfsg.1-9_powerpc.deb
 04ba8c1055666bbb7208634740e85f46 18286116 admin optional linux-image-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
 5e79d913194cd37d829e42e4c614e46d 245508 devel optional linux-headers-2.6.18-4-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
 ecd6445553c674876f4b3fe8e4b5182f 16397570 admin optional linux-image-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
 ea551ce3247794bfd5e54eb03b3d4ec8 238890 devel optional linux-headers-2.6.18-4-prep_2.6.18.dfsg.1-9_powerpc.deb
 382551eae1580ce294f11683a1ae5026 3407174 devel optional linux-headers-2.6.18-4-vserver_2.6.18.dfsg.1-9_powerpc.deb
 28b8bb4e11aa5c8100571967fc5f6d48 17002466 admin optional linux-image-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 9ddd8711a8d0a5db35abd16ce843107e 245292 devel optional linux-headers-2.6.18-4-vserver-powerpc_2.6.18.dfsg.1-9_powerpc.deb
 a905785bc4181069af71222c60fce608 18340762 admin optional linux-image-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb
 d1a9db2cf82babebaadbd8f2631e9edb 245790 devel optional linux-headers-2.6.18-4-vserver-powerpc64_2.6.18.dfsg.1-9_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iEYEARECAAYFAkW3a90ACgkQLkAIIn9ODhGAYQCfeM36zDQjC4xPmsvT7rmEl0tl
BJwAn0yGab2sjAJQTofYGhHq8ZT4TZLs
=SOBi
-----END PGP SIGNATURE-----




Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Skibbi <skibbi@op.pl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lem <lem@netnite.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 11:46:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 16:33:29 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.